#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF1,0x30,0x2F,0x0D,0x79,0xAF,0x17,0x23,0x60,0x23,0xB6,0x2A,
		0xFE,0x28,0xC9,0x1A,0xBB,0x9C,0x7B,0x62,0x6B,0x66,0xE2,0x0C,
		0xF0,0x64,0x9E,0x7F,0xA5,0x9F,0x88,0x89,0x3A,0x29,0xD9,0x82,
		0x6E,0x9E,0x15,0x7E,0x79,0x6D,0xB0,0x84,0xFB,0xBD,0x75,0xBF,
		0x0E,0xA6,0xCF,0xE4,0xD9,0xC1,0xD7,0x0E,0xBD,0xE1,0x17,0x7E,
		0x41,0xC7,0x85,0x73,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
